Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.factory
Class FrameTypeId2OWLJavaClass

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.FrameTypeId2OWLJavaClass

    public class FrameTypeId2OWLJavaClass

extends Object

Class for storing the mapping between the frame type ids and the corresponding Java classes.

Author:
  Tania Tudorache

Constructor Summary
`FrameTypeId2OWLJavaClass()`

Method Summary
`protected static void` | `addMappedValues(int frameTypeId, Class<? extends edu.stanford.smi.protege.model.Instance> javaClass)`
`static int` | `getFrameTypeId(Class<? extends edu.stanford.smi.protege.model.Instance> javaClass)`
`static Class<? extends edu.stanford.smi.protege.model.Instance>` | `getJavaClass(int frameTypeId)`
`static Collection<Class<? extends edu.stanford.smi.protege.model.Instance>>` | `getOrderedJavaClasses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameTypeId2OWLJavaClass

    public FrameTypeId2OWLJavaClass()

Method Detail

### addMappedValues

    protected static void addMappedValues(int frameTypeId,
                                          Class<? extends edu.stanford.smi.protege.model.Instance> javaClass)

### getFrameTypeId

    public static int getFrameTypeId(Class<? extends edu.stanford.smi.protege.model.Instance> javaClass)

### getJavaClass

    public static Class<? extends edu.stanford.smi.protege.model.Instance> getJavaClass(int frameTypeId)

### getOrderedJavaClasses

    public static Collection<Class<? extends edu.stanford.smi.protege.model.Instance>> getOrderedJavaClasses()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.